tbb::internal::parallel_for_each_impl< Iterator, Function, Generic > Struct Template Reference

`#include <parallel_for_each.h>`

Collaboration diagram for tbb::internal::parallel_for_each_impl< Iterator, Function, Generic >:

## Static Public Member Functions

static void | doit (Iterator first, Iterator last, const Function &f, task_group_context &context)
static void | doit (Iterator first, Iterator last, const Function &f)

## Detailed Description

### template<typename Iterator, typename Function, typename Generic>
struct tbb::internal::parallel_for_each_impl< Iterator, Function, Generic >

Definition at line 57 of file parallel_for_each.h.

## Member Function Documentation

## doit() [1/2]

template<typename Iterator, typename Function, typename Generic>

static void tbb::internal::parallel_for_each_impl< Iterator, Function, Generic >::doit | ( | Iterator | first,
|  | Iterator | last,
|  | const Function & | f
| ) |  |

inline static

Definition at line 64 of file parallel_for_each.h.

{
internal::parallel_for_each_body_do<Function, Iterator> body(f);
tbb::parallel_do(first, last, body);
}

References tbb::internal::first(), tbb::internal::last(), and tbb::parallel_do().

Here is the call graph for this function:

## doit() [2/2]

template<typename Iterator, typename Function, typename Generic>

static void tbb::internal::parallel_for_each_impl< Iterator, Function, Generic >::doit | ( | Iterator | first,
|  | Iterator | last,
|  | const Function & | f,
|  | task_group_context & | context
| ) |  |

inline static

Definition at line 59 of file parallel_for_each.h.

{
internal::parallel_for_each_body_do<Function, Iterator> body(f);
tbb::parallel_do(first, last, body, context);
}

References tbb::internal::first(), tbb::internal::last(), and tbb::parallel_do().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- parallel_for_each.h

tbb::parallel_do
void parallel_do(Iterator first, Iterator last, const Body &body)
Parallel iteration over a range, with optional addition of more work.
Definition: parallel_do.h:497
tbb::internal::first
auto first(Container &c) -> decltype(begin(c))
Definition: _range_iterator.h:34
tbb::internal::last
auto last(Container &c) -> decltype(begin(c))
Definition: _range_iterator.h:40

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.